<template>
    <v-row class="text-center">
        <v-col cols="12">
            <h1>Bitcoin Price Index</h1>
        </v-col>

        <v-col cols="12">
            <section v-if="errored">
                <p class="red">Nous sommes désolés, nous ne sommes pas en mesure de récupérer ces informations pour le moment. Veuillez réessayer ultérieurement.</p>
            </section>
            <section v-else>
                <div v-if="loading">Chargement...</div>
                <div v-else v-for="currency in info" :key="currency.id">
                    {{ currency.description }}:
                    <span class="red white--text">
                        <span v-html="currency.symbol"></span>{{ currency.rate_float | currencydecimal }}
                    </span>
                </div>
            </section>
        </v-col>
    </v-row>
</template>

<script>
import axios from 'axios';
export default {
    data(){
        return {
            info: null,
            loading: true,
            errored: false
        }
    },
    computed: {
        
    },
    filters: {
        currencydecimal (value) {
            return value.toFixed(2)
        }
    },
    mounted() {
        axios.get('https://api.coindesk.com/v1/bpi/currentprice.json')
        .then(response => (this.info = response.data.bpi))
        .catch(error => {
            console.log(error)
            this.errored = true
        })
        .finally(() => this.loading = false)
    }
}
</script>